- Home
- API Enriched
- Shape
- shape
- Bot Network Policy Versions.
Bot Network Policy Versions.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_network_policy/example/versions';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_network_policy/example/versions \ --header 'Authorization: <Authorization>'GET bot network policy versions.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace namespace is used to scope the query.
Policy name Policy name.
Responses
Section titled “Responses”A successful response.
Policy versions response.
object
Policy Versions.
Policy version.
object
Bot Infrastructure Name.
Policy last updated time.
Last Modified By the user email.
Policy Version Number.
Version status: in use, published, not published.
Examplegenerated
{ "policy_versions": [ { "bot_infras_name": [ "example" ], "update_time": "2026-04-15T12:00:00Z", "update_user": "example", "version_number": "example", "version_status": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example